Bug 221818 - HVM hypercall table overflow on 32-bit host
HVM hypercall table overflow on 32-bit host
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rik van Riel
impact=moderate,source=xensource,repo...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-08 04:55 EST by Herbert Xu
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 16:31:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
[HVM] MAke HVM hypercall table NR_hypercalls entries big. (821 bytes, patch)
2007-01-08 04:55 EST, Herbert Xu
no flags Details | Diff

  None (edit)
Description Herbert Xu 2007-01-08 04:55:25 EST
The table is only 5 entries long but the guest can read as far ahead as the 64th
entry.
Comment 1 Herbert Xu 2007-01-08 04:55:26 EST
Created attachment 145041 [details]
[HVM] MAke HVM hypercall table NR_hypercalls entries big.
Comment 4 Jay Turner 2007-01-10 16:03:41 EST
QE ack for RHEL5.
Comment 6 Don Zickus 2007-01-12 15:17:35 EST
in 2.6.18-1.3014.el5
Comment 7 Jay Turner 2007-01-26 16:31:16 EST
2.6.18-7.el5 included in 20070125.0.

Note You need to log in before you can comment on or make changes to this bug.